$? is not thread scope

07/10/2008 02:51 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport:  

Description

=begin

1.9 では $? がスレッドスコープでなくなっているようです。

以下のように、他のスレッドで動かしたコマンドの結果が $? に表

れます。

% ./ruby -ve '

t = Thread.new { system("false") }

p $?

t.join

p $?

'

ruby 1.9.0 (2008-07-09 revision 17977) [i686-linux]

false

#<Process::Status: pid 11679 exit 1>

1.8 では $? は変化しません。

% ruby-1.8 -ve '

t = Thread.new { system("false") }

p $?

t.join

p $?

'

ruby 1.8.7 (2008-07-10 revision 17572) [i686-linux]

nil

nil

あと、ついでにいうと、1.9 では $? の初期値が 1.8 と異なり

false です。

Tanaka Akira

=end

Associated revisions

Revision dda10afc65c4b65507c4d41ad27ad0f60bcb3117 - 02/27/2013 03:36 AM - zzak (zzak _)

lib/ostruct.rb: Typo in OpenStruct overview [Github Fixes #251]

Patch by Chun-wei Kuo

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39518 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision dda10afc - 02/27/2013 03:36 AM - zzak (zzak _)

lib/ostruct.rb: Typo in OpenStruct overview [Github Fixes #251]

Patch by Chun-wei Kuo

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39518 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
#1 - 07/10/2008 03:07 AM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r17981.

=end
